
Ruby - Feature #1498

rubygems tests fail on zlib dependency if you compile ruby without zlib headers

05/21/2009 06:07 AM - rogerdpack (Roger Pack)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version: 2.0.0   

Description

=begin

Currently if you don't have zlib headers installed and you run the tests, it yields:

...

C:/dev/ruby/downloads/ruby_trunk/test/rubygems/test_gem_spec_fetcher.rb: no such file to load -- zlib

repeat many times

...

I'd suggest that core fallback on a pure ruby zlib if a C one isn't installed.

zliby , http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/324563

of course, there's no pure ruby openssl so I'm not sure if this would actually be enough to allow rubygems tests to run, but it would

still in general be nice.

Thanks!

-=r

=end

History

#1 - 07/13/2009 11:41 PM - yugui (Yuki Sonoda)

- Priority changed from Normal to 3

- Target version changed from 1.9.2 to 2.0.0

=begin

=end

#2 - 11/11/2009 11:18 PM - naruse (Yui NARUSE)

=begin

Can I reject this?

This problem has "Who is the maintainer of new feature" problem.

Anyway, if ruby bundle zlib implementation it should be C implementation.

=end

#3 - 11/12/2009 12:18 AM - rogerdpack (Roger Pack)

- Status changed from Open to Rejected

=begin

You can use pure ruby zlib these days, so ok to reject [I'll go ahead and do so].

-r

=end
